# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

from Model.LateralContribution.LateralContributionTypes import (
    NotDefined, PonctualContribution,
    TimeOverZ, TimeOverDebit, ZOverDebit
)

_translate = QCoreApplication.translate

long_types = {
    "ND": _translate("LateralContribution", "Not defined"),
    "PC": _translate("LateralContribution", "Ponctual contribution"),
    "TZ": _translate("LateralContribution", "Time over Z"),
    "TD": _translate("LateralContribution", "Time over Debit"),
    "ZD": _translate("LateralContribution", "Z over Debit"),
}

table_headers = {
    "name": _translate("LateralContribution", "Name"),
    "type": _translate("LateralContribution", "Type"),
    "edge": _translate("LateralContribution", "Edge")
}

LC_types = {
    "ND": NotDefined,
    "PC": PonctualContribution,
    "TZ": TimeOverZ,
    "TD": TimeOverDebit,
    "ZD": ZOverDebit
}
